{
    "pre": [
        "cp /root/gitsha /logs",
        "cp /root/radio_api/colosseum_config.ini /logs",
        "cp /root/radio_api/radio.conf /logs",
{% if srs is defined and srs %}
        "cp -r /root/srslte_config /logs",
{% endif %}
{% if oai is defined and oai %}
        "cp -r /root/oai_config /logs",
{% endif %}
        "top -b -d 5"
    ],
    "pre_out": "/logs/pre.log",
    "config": "/root/radio_api/colosseum_config.ini",
{% if srs is defined and srs %}
    "command": "run_srs.py",
    "command_out": "/logs/srs.log",
{% endif %}
{% if oai is defined and oai %}
    "command": "run_oai.py",
    "command_out": "/logs/oai.log",
{% endif %}
    "node": "{{ item.1.node }}",
    "args": {
{% if ('traffic' in item[1]) %}
        "traffic": [
{% for tscen in item[1]["traffic"] %}
          {
{% for key, value in tscen.items() %}
            "{{ key }}": "{{ value }}"{{ "," if not loop.last }}
{% endfor %}
          }{{ "," if not loop.last }}
{% endfor %}
        ],
{% endif %}
{% for category, catval in item[1].items() %}
{% if catval is mapping %}
{% for key, value in catval.items() %}
        "{{ category }}.{{ key }}": "{{ value }}",
{% endfor %}
{% elif catval is not iterable or catval is string %}
        "{{ category }}": "{{ catval }}",
{% endif %}
{% endfor %}
        "team": "{{ item.1.team }}"
    },
    "started": "true",
    "post": [
        "cp /var/log/syslog /logs",
{% if srs is defined and srs %}
        "cp /root/srslte_config/srsLTE.backtrace.crash /logs",
{% endif %}
        "dmesg"
    ],
    "post_out": "/logs/post.log"
}
